CREATE TABLE ego_workflow_status_controls (
    WORKFLOW_CONTROL_ID           NUMBER(18, 0) ,
    CHANGE_LIFECYCLE_STATUS_ID    NUMBER(18, 0)     NOT NULL,
    ACTION                        VARCHAR2(120)     NOT NULL,
    CREATOR_ACTION                VARCHAR2(120) ,
    REQUESTOR_ACTION              VARCHAR2(120) ,
    ANALYST_ACTION                VARCHAR2(120) ,
    CONTRIBUTOR_ACTION            VARCHAR2(120) ,
    APPROVER_ACTION               VARCHAR2(120) ,
    PORTAL_USER_ACTION            VARCHAR2(120) ,
    RESCHEDULER_ACTION            VARCHAR2(120) ,
    DYNAMIC_ROLE1_ACTION          VARCHAR2(120) ,
    DYNAMIC_ROLE2_ACTION          VARCHAR2(120) ,
    DYNAMIC_ROLE3_ACTION          VARCHAR2(120) ,
    DYNAMIC_ROLE4_ACTION          VARCHAR2(120) ,
    DYNAMIC_ROLE5_ACTION          VARCHAR2(120) ,
    DYNAMIC_ROLE6_ACTION          VARCHAR2(120) ,
    DYNAMIC_ROLE7_ACTION          VARCHAR2(120) ,
    DYNAMIC_ROLE8_ACTION          VARCHAR2(120) ,
    DYNAMIC_ROLE9_ACTION          VARCHAR2(120) ,
    DYNAMIC_ROLE10_ACTION         VARCHAR2(120) ,
    CREATED_BY                    VARCHAR2(256)     NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)      NOT NULL,
    SEED_DATA_SOURCE              VARCHAR2(2048),
    ORA_SEED_SET1                 VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                 VARCHAR2(4)       NOT NULL,
    WORKFLOW_CONTROL_ID           NUMBER(18, 0) ,
    CHANGE_LIFECYCLE_STATUS_ID    NUMBER(18, 0)     NOT NULL,
    ACTION                        VARCHAR2(120)     NOT NULL,
    CREATOR_ACTION                VARCHAR2(120) ,
    ANALYST_ACTION                VARCHAR2(120) ,
    CONTRIBUTOR_ACTION            VARCHAR2(120) ,
    APPROVER_ACTION               VARCHAR2(120) ,
    PORTAL_USER_ACTION            VARCHAR2(120) ,
    RESCHEDULER_ACTION            VARCHAR2(120) ,
    CREATED_BY                    VARCHAR2(256)     NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)      NOT NULL,
    REQUESTOR_ACTION              VARCHAR2(120) ,
    DYNAMIC_ROLE1_ACTION          VARCHAR2(120) ,
    DYNAMIC_ROLE2_ACTION          VARCHAR2(120) ,
    DYNAMIC_ROLE3_ACTION          VARCHAR2(120) ,
    DYNAMIC_ROLE4_ACTION          VARCHAR2(120) ,
    DYNAMIC_ROLE5_ACTION          VARCHAR2(120) ,
    DYNAMIC_ROLE6_ACTION          VARCHAR2(120) ,
    DYNAMIC_ROLE7_ACTION          VARCHAR2(120) ,
    DYNAMIC_ROLE8_ACTION          VARCHAR2(120) ,
    DYNAMIC_ROLE9_ACTION          VARCHAR2(120) ,
    DYNAMIC_ROLE10_ACTION         VARCHAR2(120) ,
    SEED_DATA_SOURCE              VARCHAR2(2048),
    ORA_SEED_SET1                 VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                 VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_ego_workflow_status_controls PRIMARY KEY (WORKFLOW_CONTROL_ID, WORKFLOW_CONTROL_ID)
);
